Package org.apache.sling.feature.extension.apiregions.api.config.validation

# Class FeatureValidationResult

java.lang.Object
org.apache.sling.feature.extension.apiregions.api.config.validation.FeatureValidationResult

public class FeatureValidationResult extends Object
Validation result for a feature This class is not thread safe.

## Constructor Summary

Constructors
Constructor
Description
`FeatureValidationResult()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,ConfigurationValidationResult>`
`getConfigurationResults()`
Get the confiugration validation results.
`Map<String,PropertyValidationResult>`
`getFrameworkPropertyResults()`
Get the framework property validation results
`boolean`
`isValid()`
Is the configuration of the feature valid?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FeatureValidationResult

public FeatureValidationResult()

## Method Details

### isValid

public boolean isValid()
Is the configuration of the feature valid?

Returns:
  `true` if it is valid

### getConfigurationResults

public Map<String,ConfigurationValidationResult> getConfigurationResults()
Get the confiugration validation results.

Returns:
  The results keyed by configuration PIDs

### getFrameworkPropertyResults

public Map<String,PropertyValidationResult> getFrameworkPropertyResults()
Get the framework property validation results

Returns:
  The results keyed by framework property name